Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.lemma.anchor
Enum Scheme

    java.lang.Object
      java.lang.Enum<Scheme>
          org.teleal.lemma.anchor.Scheme

All Implemented Interfaces:
  Serializable, Comparable<Scheme>

    public enum Scheme

extends Enum<Scheme>

Schemes supported in citation anchor URIs.

Author:
  Christian Bauer

Enum Constant Summary
`FILE`
`JAVACODE`
`JAVADOC`

Field Summary
`static String` | `SEPARATOR`

Method Summary
`static Scheme` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Scheme[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JAVADOC

    public static final Scheme JAVADOC

### JAVACODE

    public static final Scheme JAVACODE

### FILE

    public static final Scheme FILE

Field Detail

### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

Method Detail

### values

    public static Scheme[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Scheme c : Scheme.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Scheme valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.